/*
 * Copyright(c)  2002  Rijkswaterstaat
 *                     Adviesdienst Verkeer en Vervoer
 *                     WSRA
 * File: CRAPTAB.C
 *
 * Regelprogramma vri: Voorbeeldregeling FASEBEWAKING
 *
 * datum:              10-03-1995
 * gewijzigd dd.:      23-12-2002 omzetting naar FLASH
 * gewijzigd dd.:      14-06-2004 i.v.m. EGGPARMS
 * versie:             2.3
 */


#include "crtypes.h"
#include "crapcod.h"
#include "craptab.h"
#include "ccie_int.h"
#include "crapdef.h"


/*     BLOKKEN schema                                           */
struct BLOKKEN  BLOKKEN_tabel[] = {
/*     blok:    sg:     toewijzing:                             */
/*     BKl,     SGn,    PRIM + WSGR + ALT,                      */
       BK1,     SG02,   PRIM,
       BK2,     SG05,   PRIM,
       STOP};


/*     Wachtblok                                                */
struct WB  WB_tabel[] = {
/*     wachtblok:                                               */
/*     BKl,                                                     */
       STOP};


/*     CONFLICT- en (garantie)ontruimingstijden matrix          */
struct CONFLICT  CONFLICT_tabel[] = {
/*     sg:       conflicterende sg:   GO_TIJD:  O_TIJD:         */
/*     SGn,      SGj,                 x.y,      x.y,            */
       SG02,     SG05,                0.0,      1.0,
       SG05,     SG02,                0.0,      1.0,
       STOP};


/*     SignaalGroep_TIJDEN tabel                                */
struct SG_TIJDEN  SG_TIJDEN_tabel[] = {
/*     sg:    GG_TIJD:  VG_TIJD:  GGL_TIJD:  GL_TIJD:  GR_TIJD: */
/*     SGn,    x.y,      x.y,      x.y,       x.y,      x.y,    */
       SG02,   4.0,      4.0,      3.0,       3.0,      2.0,
       SG05,   4.0,      4.0,      3.0,       3.0,      2.0,
       STOP};


/*     MG_TIJDEN tabel                                          */
struct MG_TIJDEN  MG_TIJDEN_tabel[] = {
/*     sg:    MG_TIJD:  MG_TIJD1:  MG_TIJD2:  MG_TIJD3:         */
/*     SGn,    x.y,      x.y,       x.y,       x.y,             */
       SG02,  20.0,       NG,        NG,        NG,     
       SG05,  20.0,       NG,        NG,        NG,     
       STOP};


/*     HiaatTIJDEN tabel                                        */
struct H_TIJDEN  H_TIJDEN_tabel[] = {
/*     sg:       H1e_TIJD:   H2e_TIJD:                          */
/*     SGn,       x.y,        x.y,                              */
       SG02,      1.0,         NG,      
       SG05,      1.0,         NG,      
       STOP};


/*     SignaalGroep-DETECTIE tabel                              */
struct SG_DETECTIE           SG_DETECTIE_tabel[] = {
/*     D():     type:        sg:     toewijzing:                */
/*     SGn_i,   DP (of DK),  SGn,    AVR + BS_H5p + H1e + H2e,  */
       SG02_1,  DP,          SG02,   AVR + H1e,
       SG05_1,  DP,          SG05,   AVR + H1e,
       STOP};


/*     TIJDENtabel                                              */
struct TIJDEN                 TIJDEN_tabel[] = {
/*     TIJD():                instelling:                       */
/*     SGn_i,                   x.y,                            */
       STOP};


/*     extra EGGPARMS tabel  */
struct EGGPARMS       EGGPARMS_tabel[] = {
/*     EGGPARM(),     instelling    */
       EGG_FB,        10,
       STOP};


/*     REGELING tabel                                           */
struct REGELING   REGELING_tabel[] = {
/*     Nummer,  */
       1,
       STOP};


struct E_MG_TIJDEN        E_MG_TIJDEN_tabel[] = {STOP};
struct E_H_TIJDEN         E_H_TIJDEN_tabel[] = {STOP};
struct SG_RGA             SG_RGA_tabel[] = {STOP};
struct FIETS_VOETG_R      FIETS_VOETG_R_tabel[] = {STOP};
struct SG_MAH3            SG_MAH3_tabel[] = {STOP};
struct SG_PPAH            SG_PPAH_tabel[] = {STOP};
struct SG_WSRH            SG_WSRH_tabel[] = {STOP};
struct FICT_CONFLICT      FICT_CONFLICT_tabel[] = {STOP};
struct SG_BS_H5t          SG_BS_H5t_tabel[] = {STOP};
struct SG_BS_H5ac         SG_BS_H5ac_tabel[] = {STOP};
struct SG_BS_H66          SG_BS_H66_tabel[] = {STOP};
struct KLOKKEN            KLOKKEN_tabel[] = {STOP};
struct SCHAKELAAR         SCHAKELAAR_tabel[] = {STOP};
struct EPARMS             EPARMS_tabel[] = {STOP};
struct BK_OPTIE           BO_OP_tabel[] = {STOP};
struct SG_OPTIE           MA_OP_tabel[] = {STOP};
struct SG_BK_OPTIE        PPP_OP_tabel[] = {STOP};
struct SG_OPTIE           MVG_OP_tabel[] = {STOP};
struct SG_OPTIE           TR_OP_tabel[] = {STOP};
struct SG_OPTIE           VAA_OP_tabel[] = {STOP};
struct SG_OPTIE           PPV_OP_tabel[] = {STOP};
struct SG_OPTIE           PPB_OP_tabel[] = {STOP};
struct SG_BK_OPTIE        PPA_OP_tabel[] = {STOP};
struct SG_BK_OPTIE        VNM_OP_tabel[] = {STOP};
struct SG_OPTIE           AFK_OP_tabel[] = {STOP};
struct SG_OPTIE           BL_OP_tabel[] = {STOP};
struct SG_OPTIE           RVG_OP_tabel[] = {STOP};
struct SG_OPTIE           VAG_OP_tabel[] = {STOP};
struct SG_OPTIE           VMG_OP_tabel[] = {STOP};
struct KOPPEL             KOPPEL_tabel[] = {STOP};

